Remove a form instance from a task
Deletes the instance from the task. Use formInstanceId from GET /tasks/{identifier}/form-instances. To attach again later, pick a template id from GET /workspace/form-templates.
DELETE
/tasks/{identifier}/form-instances/{formInstanceId}Authorization
AuthorizationOAuth2 access token · headerrequiredScopes:
api:writeor
AuthorizationBearer token (JWT) · headerrequiredPath parameters
identifierstringrequiredTask UUID or shortNumber
formInstanceIdstring<uuid>requiredForm instance UUID from GET `/tasks/{identifier}/form-instances`.
Responses
200
401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
Request
curl -X DELETE "https://leadtime.app/api/public/tasks/string/form-instances/%3Cuuid%3E" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"const response = await fetch("https://leadtime.app/api/public/tasks/string/form-instances/%3Cuuid%3E", {
method: "DELETE",
headers: {
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
}
});import requests
response = requests.delete(
"https://leadtime.app/api/public/tasks/string/form-instances/%3Cuuid%3E",
headers={
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
},
)Response
No example response.
Unauthorized - Invalid or missing authentication token
Forbidden - Insufficient API scopes or permissions